/*
 * Copyright 2000-2001,2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.jetspeed.om.page;

import org.apache.jetspeed.page.document.Node;

/**
 * <p>
 * Document
 * </p>
 * <p>
 * 
 * </p>
 * 
 * @author <a href="mailto:weaver@apache.org">Scott T. Weaver </a>
 * @version $Id: Document.java 332167 2005-11-09 22:27:35Z taylor $
 *  
 */
public interface Document extends Node
{
    /**
     * Gets the version number
     * 
     * @return version number is a string composed of optionally point separated digits
     */
    String getVersion();
    
    /**
     * Sets the version number
     * 
     * @param versionNumber version number is a string composed of optional point separated digits
     */
    void setVersion(String versionNumber);
    
}